-- Inline Localization Snippet, by Morsker!
-- Works as either a standalone file, or as a snippet in a larger file.
-- Inspired by some stuff in Postal and AceLocale.
-- GLOBALS: rawset, geterrorhandler, tostring
do
local addonName, addonScope = ...
--[===[@debug@
local L = setmetatable({}, { __index = function(self, key) rawset(self, key, key); return key; end })
--@end-debug@]===]
--@non-debug@
local L = {
	["- Toggle tracing, letting you see which mods play which sounds."] = "- Toggle tracing, letting you see which mods play which sounds.",
	["<mod> - Don't turn up volume for this mod's sound."] = "<mod> - Don't turn up volume for this mod's sound.",
	["<sound> - Don't turn up volume for this sound."] = "<sound> - Don't turn up volume for this sound.",
	["Ignored Mods:"] = "Ignored Mods:",
	["Ignored Sounds:"] = "Ignored Sounds:",
	["Ignored mod '$m'"] = "Ignored mod '$m'",
	["Ignored sound '$s'"] = "Ignored sound '$s'",
	["Ignoring sound ($s) from mod ($m)"] = "Ignoring sound ($s) from mod ($m)",
	["Skipping sound ($s) from mod ($m) on channel ($c)"] = "Skipping sound ($s) from mod ($m) on channel ($c)",
	["Trace Off."] = "Trace Off.",
	["Trace On."] = "Trace On.",
	["Turning up sound ($s) from mod ($m)"] = "Turning up sound ($s) from mod ($m)",
	["Unignored mod '$m'"] = "Unignored mod '$m'",
	["Unignored sound '$s'"] = "Unignored sound '$s'",
}

setmetatable(L, { __index = function(self, key)
	rawset(self, key, key)
	geterrorhandler()(addonName..": Localization: Missing entry for '"..tostring(key).."'")
	return key
end })

local locale = GetLocale()
if locale == "deDE" then

elseif locale == "esEX" or locale == "exMX" then

elseif locale == "frFR" then

elseif locale == "koKR" then

elseif locale == "ruRU" then

elseif locale == "zhCN" then

elseif locale == "zhTW" then

end
--@end-non-debug@
addonScope.L = L
end
